Payment

The Payment module lists cards and payment modes, allows for the selection of payment modes during checkout, handles refunds, validates customers, and ensures the security of transactions.

Beneficiary

Beneficiary for a refund refers to the individual or entity who will receive the refunded amount. This could be the original purchaser of the product or service, or it could be someone else if the refund is being processed on their behalf.

Operations
GET
/service/application/payment/v1.0/refund/user/beneficiary
# Retrieve beneficiary details
GET
/service/application/payment/v2.0/refund/user/beneficiary
# Get Refund Beneficiaries
POST
/service/application/payment/v2.0/refund/user/beneficiary
# Add a beneficiary for refunds
DEL
/service/application/payment/v1.0/refund/account/{id}
# Delete a refund beneficiary
GET
/service/application/payment/v2.0/refund/user/beneficiary-otp
# Get Refund Beneficiaries using OTP session
POST
/service/application/payment/v2.0/refund/user/beneficiary-otp
# Add a beneficiary for refunds using OTP session
GET

Retrieve beneficiary details

Get beneficiaries associated with the user for processing refunds, based on the provided order ID.
Parameters
order_idquery
string
Required
A unique number used for identifying and tracking your orders.
GET
/service/application/payment/v1.0/refund/user/beneficiary
Loading...
Response
200
400
Success. Returns the details of the beneficiary getting a refund.
Hide
Order Beneficiary Response.
show_beneficiary_details
boolean
Show beneficiary details or not.
beneficiaries
array of object (OrderBeneficiaryDetails)
Nullable
All Beneficiaries Of An Order.
Show
Examples
Parameters
order_id:
"FY65C2797B2F00FCF07E"
Response
Loading...
GET

Get Refund Beneficiaries

Returns a list of UPI and Bank refund beneficiaries associated with a user. Both `order_id` and `shipment_id` are optional query parameters. Use the optional filter_by enum parameter to refine the response. When the value of filter_by is order, the API returns only beneficiaries associated with the order. When the value of filter_by is shipment, it returns only beneficiaries associated with the shipment.
Parameters
order_idquery
string
Unique ID of the order
shipment_idquery
string
Unique ID of the shipment
GET
/service/application/payment/v2.0/refund/user/beneficiary
Loading...
Response
200
400
Success. Returns list of saved refund beneficiary accounts by type (UPI/Bank).
Hide
data
object (BeneficiaryData)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
POST

Add a beneficiary for refunds

Adds a bank or UPI beneficiary to the user account for processing refunds.
Parameters
No Parameters
Request body
details
object (BeneficiaryDetails)
Show
order_id
string
The order ID associated with the transaction.
shipment_id
string
The shipment ID associated with the transaction.
POST
/service/application/payment/v2.0/refund/user/beneficiary
Loading...
Response
200
400
Success. Returns beneficiary details are saved successfully
Hide
Response body after successfully adding a beneficiary.
message
string
Message confirming the result of the beneficiary addition.
is_verified
boolean
Flag indicating whether the beneficiary is verified.
id
string
The unique ID assigned to the newly added beneficiary.
account_no
string
The masked account number of the newly added beneficiary.
account_holder
string
The account holder's name for the newly added beneficiary.
bank_name
string
The bank name associated with the beneficiary's account.
upi
string
The UPI id associated with the beneficiary's account.
logo
string
The logo of the beneficiary's bank.
Response
Loading...
DEL

Delete a refund beneficiary

This API endpoint is used to delete a refund beneficiary using their beneficiary ID.
Parameters
idpath
string
Required
Unique ID associated with the beneficiary
DEL
/service/application/payment/v1.0/refund/account/{id}
Loading...
Response
200
400
Beneficiary successfully deleted
Hide
message
string
Message confirming the result of the deletion operation
Examples
Parameters
id:
"value"
Response
Loading...
GET

Get Refund Beneficiaries using OTP session

Returns a list of UPI and Bank refund beneficiaries associated with a user for a given order and shipment. Use the optional filter_by enum parameter to refine the response. When the value of filter_by is order, the API returns only beneficiaries associated with the order. When the value of filter_by is shipment, it returns only beneficiaries associated with the shipment.
Parameters
order_idquery
string
Unique ID of the order
shipment_idquery
string
Unique ID of the shipment
filter_byquery
string
Optional filter to restrict beneficiaries. When provided, only beneficiaries directly linked to the specified `order_id` or `shipment_id` will be returned.
Enum
GET
/service/application/payment/v2.0/refund/user/beneficiary-otp
Loading...
Response
200
400
Success. Returns list of saved refund beneficiary accounts by type (UPI/Bank).
Hide
data
object (BeneficiaryData)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
POST

Add a beneficiary for refunds using OTP session

Adds a bank or UPI beneficiary to the user account after completing an OTP verification session. The beneficiary details are securely linked with the user's refund preferences and will be used for processing refunds against specific orders and shipments.
Parameters
No Parameters
Request body
details
object (BeneficiaryDetails)
Show
order_id
string
The order ID associated with the transaction.
shipment_id
string
The shipment ID associated with the transaction.
POST
/service/application/payment/v2.0/refund/user/beneficiary-otp
Loading...
Response
200
400
Success. Returns beneficiary details are saved successfully
Hide
Response body after successfully adding a beneficiary.
message
string
Message confirming the result of the beneficiary addition.
is_verified
boolean
Flag indicating whether the beneficiary is verified.
id
string
The unique ID assigned to the newly added beneficiary.
account_no
string
The masked account number of the newly added beneficiary.
account_holder
string
The account holder's name for the newly added beneficiary.
bank_name
string
The bank name associated with the beneficiary's account.
upi
string
The UPI id associated with the beneficiary's account.
logo
string
The logo of the beneficiary's bank.
Response
Loading...

Card

Payment cards eases the process of payment for orders. Customers can securely save multiple payment cards within the payment gateway. During payment of an order, the list of payment options will show the list of saved cards. Link cards to customers, fetch active tokenized card information, tokenize and save cards after customer consent, and remove customer's cards from the payment gateway.

Operations
POST
/service/application/payment/v1.0/card/attach
# Link payment card to customer
GET
/service/application/payment/v1.0/card/aggregator
# Retrieve active card aggregator
GET
/service/application/payment/v1.0/cards
# Get customer cards
POST
/service/application/payment/v1.0/card/remove
# Delete customer card
GET
/service/application/payment/v1.0/cards/info/{card_info}
# Get card details
POST

Link payment card to customer

Link payment card to a user account for seamless transactions. Upon successful linking, the card becomes associated with the user's profile, enabling secure and convenient payments.
Parameters
No Parameters
Request body
nickname
string
Nickname of the card holder.
Default Value :
refresh
boolean
Nullable
Refresh cache flag.
card_id
string
Required
Card token of payment gateway.
name_on_card
string
Name of the card holder.
Default Value :
POST
/service/application/payment/v1.0/card/attach
Loading...
Response
200
400
Success.
Hide
A customer attached cards listing.
data
object
List of cards of customer.
success
boolean
Response is successful or not.
message
string
Human readable message.
Examples
Parameters
body:
body
Response
Loading...
GET

Retrieve active card aggregator

Get details about the active card aggregator used by the user, including the aggregator name.You can refresh the data by setting the 'refresh' parameter to true if needed.
Parameters
refreshquery
boolean
Select `true` to remove temporary cache files on payment gateway and replace with the latest one.
Default Value : false
GET
/service/application/payment/v1.0/card/aggregator
Loading...
Response
200
400
Success. Returns an active payment gateway.
Hide
Active payment gateway cards response.
cards
object (CardPaymentGateway)
Show
success
boolean
Response is successful or not.
message
string
Human readable message.
Examples
Parameters
refresh:
true
Response
Loading...
GET

Get customer cards

List all active cards saved by the user.Includes details such as the card's aggregator name, card ID, token, reference, number, expiration date, type, issuer, brand, nickname, and whether it has expired.
Parameters
force_refreshquery
boolean
Select `true` to clear the cache.
Default Value : false
GET
/service/application/payment/v1.0/cards
Loading...
Response
200
400
Success. Returns a list of cards saved by the user.
Hide
List card response.
data
array of object (Card)
List of cards of customer.
Show
success
boolean
Response is successful or not.
message
string
Human readable message.
Examples
Parameters
force_refresh:
true
Response
Loading...
POST

Delete customer card

Delete payment card from the user's account.
Parameters
No Parameters
Request body
card_id
string
Required
Card token of payment gateway.
POST
/service/application/payment/v1.0/card/remove
Loading...
Response
200
400
Success. Returns a success message if card is deleted.
Hide
Delete Cards Response.
success
boolean
Response is successful or not.
message
string
Nullable
Human readable message.
Examples
Parameters
body:
body
Response
Loading...
GET

Get card details

Get details of a specified payment card, including information such as the card type, brand, country, and expiration date.
Parameters
card_infopath
string
Required
Card first 6 digit IIN(prefix) number.
aggregatorquery
string
This is a string value describing the aggregator name.
Default Value : juspay
GET
/service/application/payment/v1.0/cards/info/{card_info}
Loading...
Response
200
400
Success. Returns the status of payment.
Hide
Card Details Response.
data
object (CardDetails)
Show
success
boolean
Response is successful or not.
Examples
Parameters
card_info:
"529992"
aggregator:
"razorpay"
Response
Loading...

Order

Order refers to a formal request made by a customer to purchase one or more products or services from the website's catalog. orders feature lets users easily start new transactions. It helps manage pending orders by providing key details like unpaid amounts and order statuses. Additionally, it offers detailed info on completed orders that have been successfully paid for.

Operations
GET
/service/application/payment/v1.0/payment/paid-orders/
# Retrieve details of paid orders
POST
/service/application/payment/v1.0/payment-orders/
# Create Order
GET

Retrieve details of paid orders

Get details of orders that have been paid for, including shipment ID, order ID, due date, payment date, amount, and transaction ID, based on the aggregator merchant user ID.
Parameters
aggregatorquery
string
Merchant user ID as value.
GET
/service/application/payment/v1.0/payment/paid-orders/
Loading...
Response
200
400
Success. Returns the status of API.
Hide
Paid Order details response.
status_code
integer
| int32
HTTP status code.
data
array of object
Nullable
Dict containing the paid order details.
success
boolean
Response is successful or not.
message
string
Nullable
Message.
Examples
Parameters
aggregator:
"value"
Response
Loading...
POST

Create Order

Create an order and payment on the aggregator side.
Parameters
No Parameters
Request body
payment_methods
array of object (PaymentOrderMethods)
All payment methods for order.
Show
order_id
string
Required
Order id.
shipment_id
string
Shipment_id.
POST
/service/application/payment/v1.0/payment-orders/
Loading...
Response
200
400
Success. Check the example shown below
Hide
Payment Order response model.
payment_confirm_url
string
Nullable
Payment confirm url for aggregator.
callback_url
string
Nullable
Callback url for aggregator.
order_id
string
Nullable
Merchant order id.
success
boolean
Successful or failure.
status_code
integer
| int32
HTTP status code.
data
object (PaymentOrderData)
Show
message
string
Detailed message.
Examples
Parameters
body:
body
Response
Loading...

Paylater

PayLater, also known as "Buy Now, Pay Later" (BNPL), is a payment method that allows customers to make purchases and defer payment for those purchases to a later date. With PayLater, customers can buy products or services immediately and then repay the amount owed over time, typically in installments. Efficiently retrieve repayment transaction details, initiate merchant onboarding for BNPL, and Validate Customer Eligibility for Paylater Payment Options.

Operations
POST
/service/application/payment/v1.0/payment/customer/validation
# Verify payment customer
POST
/service/application/payment/v1.0/payment/confirm/charge
# Verify order confirmation and charge
POST
/service/application/payment/v1.0/payment/validate/customer-credits-v2
# Verify payment customer and show credit summary
POST

Verify payment customer

Verify if the user is eligible for pay-later payment from the payment aggregator side using the customer's phone number.
Parameters
No Parameters
Request body
aggregator
string
Required
Payment gateway name in camelcase i.e Simple, Rupifi.
transaction_amount_in_paise
integer
| int32
Required
Payable amount in paise.
phone_number
string
Required
User mobile number without country code.
billing_address
object
billing address
order_items
array of object
order items
payload
string
Nullable
Hashed payload string.
merchant_params
object
merchant parameters, these will be used for customer approaval i.e order-id, restaurant-address, delivery latitude and longitude
delivery_address
object
delivery addresses
POST
/service/application/payment/v1.0/payment/customer/validation
Loading...
Response
200
400
Success.
Hide
Validate Customer Response.
data
object
Payment gateway response data.
success
boolean
Response is successful or not.
message
string
Error or success message.
Examples
Parameters
body:
body
Response
Loading...
POST

Verify order confirmation and charge

Verify the payment status and charge from the customer's BNPL (Buy Now, Pay Later) account after order confirmation.
Parameters
No Parameters
Request body
verified
boolean
Nullable
Already Verified flag from payment gateway i.e Mswipe.
aggregator
string
Required
Payment gateway name i.e Simpl, Mswipe.
order_id
string
Required
Merchant order id i.e. FY670260630EA88A8FD5
transaction_token
string
Nullable
Transaction token of payment gateway.
amount
integer
| int32
Required
Chargeable amount of order.
POST
/service/application/payment/v1.0/payment/confirm/charge
Loading...
Response
200
400
Success.
Hide
Charge Customer Response.
status
string
Status of charged payment.
cart_id
string
Nullable
Cart id of customer.
success
boolean
Response is successful or not.
aggregator
string
Payment gateway name i.e Simpl, Mswipe.
message
string
Human readable message.
order_id
string
Merchant order id i.e. FY670260630EA88A8FD5
delivery_address_id
string
Nullable
Delivery address id of customer.
Examples
Parameters
body:
body
Response
Loading...
POST

Verify payment customer and show credit summary

Verify if the user is eligible for payment and also show credit summary if activated.
Parameters
No Parameters
Request body
aggregator
string
Required
Aggregator name of the payment gateway.
transaction_amount
number
| float
Required
Payable amount
cart_id
string
Unique identifier for the shopping cart.
POST
/service/application/payment/v1.0/payment/validate/customer-credits-v2
Loading...
Response
200
400
Success. Check the example shown below or refer `ValidateCustomerCreditSchema` for more details.
Hide
success
boolean
Successful or failure of API
is_eligible
boolean
The customer is eligible to make a transaction or not
is_applied
boolean
Credit is applied to the user's account or not
message
string
Detailed message about the user credt eligibility.
cart_id
string
Unique identifier for the shopping cart.
account
object (CreditAccountSummary)
Show
Examples
Parameters
body:
body
Response
Loading...

Payment

Payment system refers to the mechanism by which customers can securely and conveniently pay for the products or services they wish to purchase. It involves integrating various payment methods such as credit/debit cards, digital wallets, bank transfers, and sometimes cash on delivery (COD) to accommodate different customer preferences.It typically involves - Payment Gateway Integration: Connecting the website to payment gateways like PayPal, Stripe, or other third-party processors to facilitate online transactions securely. Secure Transactions: Implementing encryption protocols and secure socket layers (SSL) to protect customers' payment information from unauthorized access or cyber threats. Multiple Payment Options: Offering diverse payment methods to cater to a wide range of customers, including credit/debit cards, digital wallets (e.g., Apple Pay, Google Pay), and alternative methods like cryptocurrencies or buy-now-pay-later services. Checkout Process: Streamlining the checkout process to minimize friction and make it easy for customers to complete their purchases swiftly. Payment Confirmation: Providing instant confirmation of successful payments and sending receipts or order confirmations to customers via email or SMS.

Operations
GET
/service/application/payment/v1.0/config/aggregators/key
# Get payment aggregators
POST
/service/application/payment/v1.0/payment/request
# Start payment process
POST
/service/application/payment/v1.0/payment/confirm/polling
# Update payment status
GET
/service/application/payment/v1.0/payment/options
# Get payment modes
GET
/service/application/payment/v1.0/payment/options/pos
# POS payment modes
POST
/service/application/payment/v1.0/payment/options/wallet/link
# Initiate linking of wallet
POST
/service/application/payment/v1.0/payment/options/wallet/verify
# OTP verification
POST
/service/application/payment/v1.0/payment/options/wallet/delink
# Delink the wallet
POST
/service/application/payment/v1.0/payment/html/render/
# Render HTML
POST
/service/application/payment/v1.0/validate-vpa
# Validate VPA
GET
/service/application/payment/v1.0/payment/credit-summary/
# Credit summary
GET
/service/application/payment/v1.0/payment/redirect-to-aggregator/
# Redirects users to the payment aggregator's interface
GET
/service/application/payment/v1.0/check-credits/
# Verify credit availability and status
POST
/service/application/payment/v1.0/credit-onboard/
# Onboard customer for payment
GET
/service/application/payment/v1.0/orders/{order_id}/transactions
# List all transactions for an order
GET

Get payment aggregators

Get aggregator secret key of all payment gateways utilized for payments when using the SDK for the payment gateway.
Parameters
refreshquery
boolean
Select `true` to remove temporary cache files on payment gateway and replace with the latest one.
GET
/service/application/payment/v1.0/config/aggregators/key
Loading...
Response
200
400
Success. Returns the keys of all payment gateways. Check the example shown below or refer `AggregatorsConfigDetail` for more details.
Hide
Aggregators Config details Response.
success
boolean
Api response was successful or not.
razorpay
object (AggregatorConfigDetail)
Show
juspay
object (AggregatorConfigDetail)
Show
simpl
object (AggregatorConfigDetail)
Show
payumoney
object (AggregatorConfigDetail)
Show
ccavenue
object (AggregatorConfigDetail)
Show
env
string
Environment i.e Live or Test.
Examples
Parameters
refresh:
true
Response
Loading...
POST

Start payment process

Initiate the payment procedure for an order. Upon successful initiation, it returns a details including the success status, aggregator information, payment method, status, merchant order ID aggregator order , polling URL, timeout, virtual ID, Razorpay payment ID, customer ID, and device ID.
Parameters
No Parameters
Request body
razorpay_payment_id
string
Nullable
Payment gateway payment id.
method
string
Required
Payment method.
device_id
string
Nullable
EDC machine Unique Identifier.
aggregator
string
Required
Payment gateway name.
customer_id
string
Aggregator customer id.
contact
string
Required
Customer valid mobile number.
merchant_order_id
string
Required
Unique fynd order id.
vpa
string
Nullable
Customer vpa address.
order_id
string
Required
Payment gateway order id.
currency
string
Currency code.
timeout
integer
| int32
Nullable
Payment polling timeout if not received response in seconds.
amount
integer
| int32
Required
Payable amount.
email
string
| email
Required
Customer valid email.
POST
/service/application/payment/v1.0/payment/request
Loading...
Response
200
400
Success.
Hide
Payment Initialization Response.
status
string
Status of payment.
razorpay_payment_id
string
Nullable
Payment id.
aggregator_order_id
string
Payment order id.
method
string
Payment method.
success
boolean
Response is successful or not.
upi_poll_url
string
Nullable
UPI poll url.
virtual_id
string
Nullable
Payment virtual address.
device_id
string
Nullable
EDC machine Unique Identifier.
polling_url
string
Polling url.
aggregator
string
Payment gateway name.
merchant_order_id
string
Order id.
customer_id
string
Nullable
Aggregator customer id.
vpa
string
Nullable
Customer vpa address.
currency
string
Nullable
Currency code.
timeout
integer
| int32
Nullable
Timeout in seconds for payment.
amount
integer
| int32
Nullable
Payable amount.
bqr_image
string
Nullable
Bharat qr image url.
status_code
string
Nullable
status code of the payment.
Examples
Parameters
body:
body
Response
Loading...
POST

Update payment status

Polling process to confirm the payment status. It periodically checks and updates the current status of a payment, ensuring timely and accurate confirmation of payment transactions.
Parameters
No Parameters
Request body
status
string
Required
Status of payment.
merchant_transaction_id
string
Unique fynd transaction id.
method
string
Required
Payment method.
device_id
string
Nullable
EDC machine Unique Identifier.
aggregator
string
Required
Payment gateway name.
customer_id
string
Aggregator customer id.
contact
string
Customer valid mobile number.
merchant_order_id
string
Required
Unique fynd order id.
virtual_id
string
Customer virtual id for QR.
vpa
string
Customer vpa address.
order_id
string
Required
Payment gateway order id.
currency
string
Currency code.
amount
integer
| int32
Nullable
Payable amount.
email
string
| email
Customer valid email.
razorpay_payment_id
string
Razorpay generated payment gateway transaction id, if aggregator is Razorpay
merchant_url
string
Redirect to this, upon payment success/fail, if method is PAYMENTLINK
POST
/service/application/payment/v1.0/payment/confirm/polling
Loading...
Response
200
400
Success. Returns the status of payment.
Hide
Payment status update response.
status
string
Payment status.
success
boolean
Nullable
Response is successful or not.
retry
boolean
Response is successful or not.
redirect_url
string
Nullable
Redirect url.
aggregator_name
string
Payment gateway name.
Examples
Parameters
body:
body
Response
Loading...
GET

Get payment modes

Get available payment methods on the payment page, specifying the aggregator for each option, such as 'Netbanking powered by Juspay' and 'Card powered by Razorpay'.
Parameters
amountquery
integer
Required
Payable amount.
cart_idquery
string
Required
Identifier of the cart.
checkout_modequery
string
Option to checkout for self or for others.
refreshquery
boolean
Select `true` to remove temporary cache files on payment gateway and replace with the latest one.
order_idquery
string
Identifier of the order, order_id.
card_referencequery
string
Card reference id of user's debit or credit card.
user_detailsquery
string
URLencoded JSON containing details of an anonymous user.
display_splitquery
boolean
Display Split Payment Option or not.
advance_paymentquery
boolean
Display Advance Payment Options or Normal.
shipment_idquery
string
Identifier of the shipment, shipment_id.
fulfillment_optionquery
array of string
List of fulfillment option slugs used to filter payment modes. A payment mode is included only if it is not explicitly disabled for any of the provided fulfillment options.
GET
/service/application/payment/v1.0/payment/options
Loading...
Response
200
400
Success. Returns all available options for payment. Check the example shown below or refer `PaymentModeRouteDetails` for more details.
Hide
Single payment option with flow and split values.
payment_options
object (PaymentOptionAndFlow)
Show
success
boolean
Response is successful or not.
payment_breakup
object
Payment Breakup for advance payment.
advance_payment
array of object (AdvancePaymentObject)
Nullable
Advance Payment Array.
Show
Examples
Parameters
amount:
1000
cart_id:
"4234324234"
checkout_mode:
"self"
refresh:
true
order_id:
"FY65C47E27CB249F378C"
card_reference:
"1"
user_details:
"%7B%22first_name%22:%22Fynd%22,%22last_name%22:%22Dummy%22,%22mobile%22:%229999999999%22,%22email%22:%22test@example.com"
display_split:
false
advance_payment:
false
shipment_id:
"12345"
fulfillment_option:
"express-delivery","fast-track","self-pickup"
Response
Loading...
GET

POS payment modes

Get available payment methods on the payment page for POS, specifying the aggregator for each option, such as 'CARD powered by Juspay' and 'QR powered by Razorpay'.
Parameters
amountquery
integer
Required
Payable amount.
cart_idquery
string
Required
Identifier of the cart.
pincodequery
string
Required
The PIN Code of the destination address, e.g. 400059.
checkout_modequery
string
Option to checkout for self or for others.
refreshquery
boolean
Select `true` to remove temporary cache files on payment gateway and replace with the latest one.
card_referencequery
string
Card reference id of user's debit or credit card.
order_typequery
string
Required
The order type of shipment HomeDelivery - If the customer wants the order home-delivered PickAtStore - If the customer wants the handover of an order at the store itself.
fulfillment_optionquery
array of string
List of fulfillment option slugs used to filter payment modes. A payment mode is included only if it is not explicitly disabled for any of the provided fulfillment options.
user_detailsquery
string
URLencoded JSON containing details of an anonymous user.
display_splitquery
boolean
Display Split Payment Option or not.
GET
/service/application/payment/v1.0/payment/options/pos
Loading...
Response
200
400
Success. Returns all available options for payment. Check the example shown below or refer `PaymentModeRouteDetails` for more details.
Hide
Single payment option with flow and split values.
payment_options
object (PaymentOptionAndFlow)
Show
success
boolean
Response is successful or not.
payment_breakup
object
Payment Breakup for advance payment.
advance_payment
array of object (AdvancePaymentObject)
Nullable
Advance Payment Array.
Show
Examples
Parameters
amount:
1000
cart_id:
"2343432412342"
pincode:
"122001"
checkout_mode:
"self"
refresh:
true
card_reference:
"1"
order_type:
"HomeDelivery"
fulfillment_option:
"express-delivery","fast-track","self-pickup"
user_details:
"%7B%22first_name%22:%22Fynd%22,%22last_name%22:%22Dummy%22,%22mobile%22:%229999999999%22,%22email%22:%22test@example.com"
display_split:
false
Response
Loading...
POST

Initiate linking of wallet

Link wallet for the aggregator for processing of payment.
Parameters
No Parameters
Request body
aggregator
string
Required
Aggregator Name.
mobile
string
Required
Mobile Number for Wallet.
wallet_code
string
Required
Wallet Code.
POST
/service/application/payment/v1.0/payment/options/wallet/link
Loading...
Response
200
400
OTP for Wallet Linking sent
Hide
Wallet Response Schema.
data
object
Response received from aggregator.
success
boolean
Success/Failure of the API call.
Examples
Parameters
body:
body
Response
Loading...
POST

OTP verification

Verify the linking of wallet using OTP for further processing of payment.
Parameters
No Parameters
Request body
aggregator
string
Required
Aggregator Name.
link_token
string
Required
Token for wallet linking.
otp
integer
Required
OTP received for wallet linking.
POST
/service/application/payment/v1.0/payment/options/wallet/verify
Loading...
Response
200
400
OTP Verification
Hide
Wallet Response Schema.
data
object
Response received from aggregator.
success
boolean
Success/Failure of the API call.
Examples
Parameters
body:
body
Response
Loading...
POST

Delink the wallet

Delink the wallet.
Parameters
No Parameters
Request body
aggregator
string
Required
Aggregator Name.
wallet_code
string
Required
Wallet Code.
POST
/service/application/payment/v1.0/payment/options/wallet/delink
Loading...
Response
200
400
Wallet delinked successfully
Hide
Wallet Response Schema.
data
object
Response received from aggregator.
success
boolean
Success/Failure of the API call.
Examples
Parameters
body:
body
Response
Loading...
POST

Render HTML

Render HTML for a payment aggregator page.
Parameters
No Parameters
Request body
returntype
string
Nullable
Return Type of API.
base64_html
string
Required
Base64 encoded html string.
POST
/service/application/payment/v1.0/payment/html/render/
Loading...
Response
200
400
Success and return HTML decoded text
Hide
Render HTML Response.
html
string
HTML string.
Examples
Parameters
body:
body
Response
Loading...
POST

Validate VPA

Validate if a Virtual Payment Address (VPA) is valid for processing payments and returns the validation result.is_valid boolean value indicating whether the VPA is valid for payments.
Parameters
No Parameters
Request body
upi_vpa
string
Required
UPI ID.
aggregator
string
Aggregator slug.
POST
/service/application/payment/v1.0/validate-vpa
Loading...
Response
200
400
Success. Returns the status of payment.
Hide
Validate VPA Response.
data
object (ValidateUPI)
Show
success
boolean
Response is successful or not.
Examples
Parameters
body:
body
Response
Loading...
GET

Credit summary

Get summary of the customer's credit information, including details such as merchant customer reference ID, status, balance, limit, due amount, used amount, due date, days overdue, total due amount, and a repayment URL.
Parameters
aggregatorquery
string
Aggregator name.
GET
/service/application/payment/v1.0/payment/credit-summary/
Loading...
Response
200
400
Success. Returns the status of payment. chema` for more details.
Hide
Customer Credit Summary Response.
data
object (CreditSummary)
Show
success
boolean
Payment confirmation updated or not.
Examples
Parameters
aggregator:
"epaylater"
Response
Loading...
GET

Redirects users to the payment aggregator's interface

This endpoint is used to redirect users to the payment aggregator's platform where they can complete the payment process. The request may include necessary details for initiating the payment on the aggregator’s side, and the user is transferred seamlessly to their interface.
Parameters
sourcequery
string
Callback URL to get callback from aggregator.
aggregatorquery
string
Required
Aggregator name.
GET
/service/application/payment/v1.0/payment/redirect-to-aggregator/
Loading...
Response
200
400
Success. Returns the status of payment. chema` for more details.
Hide
Redirect to aggregator response.
data
object (RedirectURL)
Show
success
boolean
Status updated or not.
Examples
Parameters
source:
"https://api.uat.fyndx1.de/service/webhooks/payment/v1.0/callback/"
aggregator:
"epaylater"
Response
Loading...
GET

Verify credit availability and status

Check the availability and status of customer credit, providing the status of payment along with registration information and signup URL if the customer is not registered.
Parameters
aggregatorquery
string
Aggregator name.
GET
/service/application/payment/v1.0/check-credits/
Loading...
Response
200
400
Success. Returns the status of payment.
Hide
Check Credit Response.
data
object (CreditDetail)
Show
success
boolean
Operation is successful or not.
Examples
Parameters
aggregator:
"epaylater"
Response
Loading...
POST

Onboard customer for payment

Initiate the onboarding process for payment services, providing personal, business, and device information, along with marketplace details, to enable customer registration and credit availability.
Parameters
No Parameters
Request body
personal_info
object (UserPersonalInfoInDetails)
Show
mcc
string
Nullable
Merchant Category Code, indicating the type of business.
aggregator
string
Required
Payment aggregator handling the transaction.
marketplace_info
object (MarketplaceInfo)
Show
source
string
| url
Required
Callback url.
business_info
object (BusinessDetails)
Show
device
object (DeviceDetails)
Show
POST
/service/application/payment/v1.0/credit-onboard/
Loading...
Response
200
400
Success. Returns the status of payment.
Hide
Customer onboarding response.
data
object (OnboardSummary)
Show
success
boolean
Status updated or not.
Examples
Parameters
body:
body
Response
Loading...
GET

List all transactions for an order

Returns all payment transactions for the given order ID, ordered by creation timestamp ascending. Each entry includes merchant transaction ID, payment mode name, logo, amount, latest status, and created_on.
Parameters
order_idpath
string
Required
Merchant order ID. Example: FY692D2AC45171FB895B
GET
/service/application/payment/v1.0/orders/{order_id}/transactions
Loading...
Response
200
400
List of transactions for the order.
Hide
success
boolean
Whether the request was successful.
items
array of object (OrderTransactionItem)
List of transactions ordered by created_on ascending.
Show
Examples
Parameters
Parameters are not required.
Response
Loading...

Refund

Refund is the process of reimbursing a customer for a previous purchase. This typically involves returning the money to the customer's bank account, walllet, UPI or any other payment methods in which customer wants refund after they have returned the purchased item or requested a reimbursement for a service. A bank account for refund with IFSC code verification and secure OTP-based addition is a feature that allows customers to securely add their bank account details for receiving refunds. This functionality includes verification of the bank account details, such as the IFSC code, to ensure accuracy and validity. Additionally, it employs an OTP (One-Time Password) authentication process to securely add the bank account information, enhancing the security of the refund process and protecting customer financial data.

Operations
GET
/service/application/payment/v1.0/refund/order/beneficiaries
# Retrieve beneficiary details
POST
/service/application/payment/v1.0/refund/verification/bank
# Verify OTP for bank and add beneficiary
POST
/service/application/payment/v1.0/refund/account
# Add beneficiary for refund
POST
/service/application/payment/v1.0/refund/account/otp
# Add refund account using OTP verification
POST
/service/application/payment/v1.0/refund/verification/wallet
# Verify OTP for wallet
POST
/service/application/payment/v1.0/refund/beneficiary/default
# Set default beneficiary for refund
GET

Retrieve beneficiary details

Get beneficiary details like bank name , ifsc code , branch name associated with a specific order for refund processing.
Parameters
order_idquery
string
Required
A unique number used for identifying and tracking your orders.
GET
/service/application/payment/v1.0/refund/order/beneficiaries
Loading...
Response
200
400
Success. Returns the details of the beneficiary getting a refund.
Hide
Order Beneficiary Response.
show_beneficiary_details
boolean
Show beneficiary details or not.
beneficiaries
array of object (OrderBeneficiaryDetails)
Nullable
All Beneficiaries Of An Order.
Show
Examples
Parameters
order_id:
"FY65C2797B2F00FCF07E"
Response
Loading...
POST

Verify OTP for bank and add beneficiary

Verify the OTP provided by the user and adds a bank beneficiary for refund processing.
Parameters
No Parameters
Request body
request_id
string
Required
Request id.
hash_key
string
Required
Hash key of the beneficiary Id.
otp
string
Required
Otp sent to the given Mobile No.
POST
/service/application/payment/v1.0/refund/verification/bank
Loading...
Response
200
400
Success.
Hide
Add Beneficiary Via Otp Verification Response.
success
boolean
Response is successful or not.
message
string
Aggregator Response of beneficiary.
Examples
Parameters
body:
body
Response
Loading...
POST

Add beneficiary for refund

Add beneficiary details specifically for refund transactions, including account holder name, account number and bank details.
Parameters
No Parameters
Request body
delights
boolean
Required
[Deprecated] Indicates if the beneficiary was added by Delights (true) or by the User (false). This field will be removed in future releases.
shipment_id
string
Required
Shipment Id of the respective Merchant Order Id.
details
object (BeneficiaryModeDetails)
Required
Show
otp
string
OTP received by customer.
order_id
string
Required
Merchant Order Id.
transfer_mode
string
Required
Transfer Mode of the Beneficiary to be added.
request_id
string
Request Id for add benificiary request.
POST
/service/application/payment/v1.0/refund/account
Loading...
Response
200
400
Success. Shows whether the beneficiary details were saved to a returned/cancelled order or not.
Hide
Refund account Response.
data
object
Refund account data.
success
boolean
Success or failure flag.
message
string
Response message.
Examples
Parameters
body:
body
Response
Loading...
POST

Add refund account using OTP verification

Add bank account specifically for refunds, employing OTP verification for security.
Parameters
No Parameters
Request body
order_id
string
Required
Unique identifier for an order.
shipment_id
string
Shipment Id of the order.
details
object (BankDetailsForOTP)
Required
Show
POST
/service/application/payment/v1.0/refund/account/otp
Loading...
Response
200
400
Success. Shows whether the beneficiary details were saved to a returned/cancelled order or not.
Hide
Refund account Response.
data
object
Refund account data.
success
boolean
Success or failure flag.
message
string
Response message.
Examples
Parameters
Parameters are not required.
Response
Loading...
POST

Verify OTP for wallet

Verify OTP provided by the user and adds a wallet beneficiary.
Parameters
No Parameters
Request body
country_code
string
Required
Country Code of the Mobile Number.
mobile
string
Required
Wallet Mobile Number of the User.
POST
/service/application/payment/v1.0/refund/verification/wallet
Loading...
Response
200
400
Success. Sends the OTP to the given mobile number.
Hide
Wallet otp response.
request_id
string
Request Id for wallet otp request.
is_verified_flag
string
Boolean Flag whether OTP Validation is already done or not.
success
boolean
Response is successful or not.
Examples
Parameters
body:
body
Response
Loading...
POST

Set default beneficiary for refund

Update default beneficiary for the order refund of the user.
Parameters
No Parameters
Request body
order_id
string
Required
Merchant Order Id.
beneficiary_id
string
Required
Beneficiary Hash Id of the beneficiary added.
shipment_id
string
Shipment Id of the order.
POST
/service/application/payment/v1.0/refund/beneficiary/default
Loading...
Response
200
400
Success.
Hide
Set default beneficiary Response.
is_beneficiary_set
boolean
Boolean Flag whether Beneficiary set or not.
success
boolean
Response is successful or not.
Examples
Parameters
body:
body
Response
Loading...

Refund Transfer Modes

Refund transfer modes encompass various methods for processing refunds to customers, such as issuing store credit or vouchers for future purchases and providing refunds via digital payment platforms like Paytm or PhonePe.

Operations
GET
/service/application/payment/v1.0/refund/transfer-mode
# Get refund transfer modes
PUT
/service/application/payment/v1.0/refund/transfer-mode
# Toggle refund mode
GET

Get refund transfer modes

Lists available refund modes, such as UPI, providing details like display name, logo, and ID for each mode.
Parameters
No Parameters
GET
/service/application/payment/v1.0/refund/transfer-mode
Loading...
Response
200
Success. Shows the available refund mode to choose, e.g. Netbanking.
Hide
Transfer Mode Response.
data
array of object (TransferModeDetails)
Response Object.
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
PUT

Toggle refund mode

Enable/Disable a particular refund transfer mode based on the request body parameters, indicating whether the mode should be enabled or disabled.
Parameters
No Parameters
Request body
enable
boolean
Required
True for enabling the Transfer Mode.
transfer_mode
string
Required
Transfer Mode of the Beneficiary to be added.
PUT
/service/application/payment/v1.0/refund/transfer-mode
Loading...
Response
200
Success. Shows whether the refund mode was successfully enabled or disabled.
Hide
Update Refund Transfer Moder response.
success
boolean
Response is successful or not.
Examples
Parameters
body:
body
Response
Loading...